Qt 5.7 | Qt 3D | C++ Classes | QSkyboxEntity

Qt 5.7.1 Reference Documentation

# QSkyboxEntity Class

(Qt3DExtras::QSkyboxEntity)

Inherits: | Qt3DCore::QEntity

- List of all members, including inherited members

## Public Functions

| QSkyboxEntity(Qt3DCore::QNode *parent = nullptr)
| ~QSkyboxEntity()
QString | baseName() const
QVector3D | cameraPosition() const
QString | extension() const
void | setBaseName(const QString &path)
void | setCameraPosition(const QVector3D &cameraPosition)
void | setExtension(const QString &extension)

- 4 public functions inherited from Qt3DCore::QEntity
- 6 public functions inherited from Qt3DCore::QNode

## Signals

void | cameraPositionChanged(const QVector3D &cameraPosition)
void | extensionChanged(const QString &extension)
void | sourceDirectoryChanged(const QString &path)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Member Function Documentation

### QSkyboxEntity::QSkyboxEntity(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QSkyboxEntity.

### QSkyboxEntity::~QSkyboxEntity()

Destroys the instance of QSkyboxEntity.

### QString QSkyboxEntity::baseName() const

See also setBaseName().

### QVector3D QSkyboxEntity::cameraPosition() const

See also setCameraPosition().

### `[signal]` void QSkyboxEntity::cameraPositionChanged(const QVector3D &cameraPosition)

### QString QSkyboxEntity::extension() const

See also setExtension().

### `[signal]` void QSkyboxEntity::extensionChanged(const QString &extension)

### void QSkyboxEntity::setBaseName(const QString &path)

See also baseName().

### void QSkyboxEntity::setCameraPosition(const QVector3D &cameraPosition)

See also cameraPosition().

### void QSkyboxEntity::setExtension(const QString &extension)

See also extension().

### `[signal]` void QSkyboxEntity::sourceDirectoryChanged(const QString &path)